View Issue Details

IDProjectCategoryView StatusLast Update
0003234OpenFOAMBugpublic2019-05-21 09:42
Reporterrmn_990Assigned Towill 
PrioritylowSeverityminorReproducibilityhave not tried
Status closedResolutionunable to reproduce 
Product Version6 
Fixed in Version 
Summary0003234: MPPICFoam/DPMFoam Wrong number of parcels on stick boundary
DescriptionBy using MPPICFoam, I injected 550,000 parcels (nParticle=1) inside a pipe and I considered sticking boundary conditions for the pipe wall.
What happens is that the number of parcels which are deposited on the pipe wall is higher than what is injected.
Flow is laminar, incompressible with gravity in parallel computation.

Attached you can find checkMesh report, KinematicCloudProperties file, and part of the log file which can show the number of stuck particles.
I tried doing this simulation with a lower number of parcels but I faced this problem again.
TagsNo tags attached.

Activities

rmn_990

2019-05-09 21:04

reporter  

checkMesh (3,280 bytes)
/*---------------------------------------------------------------------------*\
| =========                 |                                                 |
| \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
|  \\    /   O peration     | Version:  v1812                                 |
|   \\  /    A nd           | Web:      www.OpenFOAM.com                      |
|    \\/     M anipulation  |                                                 |
\*---------------------------------------------------------------------------*/
Build  : v1812 OPENFOAM=1812
Arch   : "LSB;label=32;scalar=64"
Exec   : checkMesh
Date   : May 09 2019
Time   : 15:57:16
Host   : ramin-atomslab
PID    : 27520
I/O    : uncollated
Case   : /home/ramin/Desktop/temp2_animation
nProcs : 1
trapFpe: Floating point exception trapping enabled (FOAM_SIGFPE).
fileModificationChecking : Monitoring run-time modified files using timeStampMaster (fileModificationSkew 10)
allowSystemOperations : Allowing user-supplied system call operations

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
Create time

Create mesh for time = 0

Time = 0

Mesh stats
    points:           316025
    internal points:  290311
    faces:            2489345
    internal faces:   2439265
    cells:            1148898
    faces per cell:   4.28986
    boundary patches: 5
    point zones:      0
    face zones:       0
    cell zones:       0

Overall number of cells of each type:
    hexahedra:     0
    prisms:        333018
    wedges:        0
    pyramids:      0
    tet wedges:    0
    tetrahedra:    815880
    polyhedra:     0

Checking topology...
    Boundary definition OK.
    Cell to face addressing OK.
    Point usage OK.
    Upper triangular ordering OK.
    Face vertices OK.
    Number of regions: 1 (OK).

Checking patch topology for multiply connected surfaces...
    Patch               Faces    Points   Surface topology                  
    INLET               1258     1014     ok (non-closed singly connected)  
    WALL_IN             6584     3388     ok (non-closed singly connected)  
    LUMEN_WALL          34444    17318    ok (non-closed singly connected)  
    OUTLET              1248     1009     ok (non-closed singly connected)  
    WALL_OUT            6546     3369     ok (non-closed singly connected)  

Checking faceZone topology for multiply connected surfaces...
    No faceZones found.

Checking basic cellZone addressing...
    No cellZones found.

Checking geometry...
    Overall domain bounding box (-0.00635 -0.00635 0) (0.00635 0.00635 0.08001)
    Mesh has 3 geometric (non-empty/wedge) directions (1 1 1)
    Mesh has 3 solution (non-empty) directions (1 1 1)
    Boundary openness (-5.05755e-18 -1.44969e-15 -7.95046e-16) OK.
    Max cell openness = 5.22612e-16 OK.
    Max aspect ratio = 12.4196 OK.
    Minimum face area = 1.87741e-09. Maximum face area = 1.76629e-07.  Face area magnitudes OK.
    Min volume = 1.23317e-13. Max volume = 2.39655e-11.  Total volume = 9.16435e-06.  Cell volumes OK.
    Mesh non-orthogonality Max: 62.513 average: 14.6154
    Non-orthogonality check OK.
    Face pyramids OK.
    Max skewness = 2.49864 OK.
    Coupled point location match (average 0) OK.

Mesh OK.

End

checkMesh (3,280 bytes)
kinematicCloudProperties (3,682 bytes)
/*--------------------------------*- C++ -*----------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     | Website:  https://openfoam.org
    \\  /    A nd           | Version:  6
     \\/     M anipulation  |
\*---------------------------------------------------------------------------*/
FoamFile
{
    version     2.0;
    format      ascii;
    class       dictionary;
    location    "constant";
    object      particleProperties;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

solution
{
    active          true;
    coupled         true;
    transient       yes;
    cellValueSourceCorrection off;

    maxCo           1.0;

    interpolationSchemes
    {
        rho         	cell;
        U	        cellPoint;
        mu	        cell;
    }

    averagingMethod dual;

    integrationSchemes
    {
        U               Euler;
    }

    sourceTerms
    {
        schemes
        {
            U           semiImplicit 0.00078;
        }
    }
}

constantProperties
{
    rho0            1050;
    alphaMax        0.9;
}

subModels
{
    particleForces
    {
        ErgunWenYuDrag
        {
            alphac alphac;
        }
        gravity;
    }

    injectionModels
    {
        model1
        {
            type            patchInjection;
            parcelBasisType fixed;
            SOI             0;
            patch       INLET;
            duration        5;
	    nParticle       1;
            parcelsPerSecond 110000;
	    massTotal       2.84e-11;
            U0              (0 0 0);
            flowRateProfile constant 2.5e-8;
            sizeDistribution
            {
		type        fixedValue;
                fixedValueDistribution
                {
                    value   0.000001;
                }
	    }
        }
    }

    dispersionModel none;

    patchInteractionModel localInteraction;

    localInteractionCoeffs
    {
        patches
        (
            WALL_IN
            {
                type rebound;
                e    0.97;
                mu   0.09;
            }
            WALL_OUT
            {
                type rebound;
                e    0.97;
                mu   0.09;
            }
            LUMEN_WALL
            {
                type stick;
            }
            OUTLET
            {
                type escape;
            }
            INLET
            {
                type rebound;
                e    0.97;
                mu   0.09;
            }
        );
    }

    heatTransferModel none;

    surfaceFilmModel none;

    packingModel implicit;

    explicitCoeffs
    {
        particleStressModel
        {
            type HarrisCrighton;
            alphaPacked 0.6;
            pSolid 10.0;
            beta 2.0;
            eps 1.0e-7;
        }
        correctionLimitingMethod
        {
            type absolute;
            e 0.9;
        }
    }

    implicitCoeffs
    {
        alphaMin 0.0001;
        rhoMin 1.0;
        applyLimiting true;
        applyGravity false;
        particleStressModel
        {
            type HarrisCrighton;
            alphaPacked 0.6;
            pSolid 5.0;
            beta 2.0;
            eps 1.0e-2;
        }
    }

    dampingModel none;

    isotropyModel stochastic;

    stochasticCoeffs
    {
        timeScaleModel
        {
            type isotropic;
            alphaPacked 0.6;
            e 0.9;
        }
    }

    stochasticCollisionModel none;

    radiation off;
}


cloudFunctions
{}


// ************************************************************************* //
kinematicCloudProperties (3,682 bytes)
log file (18,237 bytes)
Solving 3-D cloud kinematicCloud
GAMG:  Solving for kinematicCloud:alpha, Initial residual = 9.74047e-05, Final residual = 4.93955e-05, No Iterations 1000
Cloud: kinematicCloud
    Current number of parcels       = 550000
    Current mass in system          = 2.87979e-10
    Linear momentum                 = (1.33195e-16 -1.07411e-16 1.65086e-15)
   |Linear momentum|                = 1.65971e-15
    Linear kinetic energy           = 8.10248e-18
    model1:
        number of parcels added     = 550000
        mass introduced             = 2.87979e-10
    Parcel fate (number, mass)      : patch WALL_IN
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch WALL_OUT
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch LUMEN_WALL
      - escape                      = 0, 0
      - stick                       = 2264940, 1.18592e-09
    Parcel fate (number, mass)      : patch OUTLET
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch INLET
      - escape                      = 0, 0
      - stick                       = 0, 0
    Min cell volume fraction        = 0
    Max cell volume fraction        = 9.96681e-05
    Min dense number of parcels     = 26.3872

DILUPBiCGStab:  Solving for U.airx, Initial residual = 0.000773465, Final residual = 2.90678e-05, No Iterations 1
DILUPBiCGStab:  Solving for U.airy, Initial residual = 0.000742042, Final residual = 2.83409e-05, No Iterations 1
DILUPBiCGStab:  Solving for U.airz, Initial residual = 0.000655442, Final residual = 2.45896e-05, No Iterations 1
GAMGPCG:  Solving for p, Initial residual = 0.000363683, Final residual = 1.23966e-06, No Iterations 2
time step continuity errors : sum local = 3.08911e-08, global = 1.97904e-11, cumulative = -2.03826e-07
GAMGPCG:  Solving for p, Initial residual = 0.00015826, Final residual = 6.95268e-07, No Iterations 2
time step continuity errors : sum local = 1.73254e-08, global = -2.88311e-11, cumulative = -2.03855e-07
ExecutionTime = 155431 s  ClockTime = 156154 s

Courant Number mean: 0.18969 max: 10.7764
Time = 45.353

Evolving kinematicCloud

Solving 3-D cloud kinematicCloud
GAMG:  Solving for kinematicCloud:alpha, Initial residual = 0.000107993, Final residual = 4.95123e-05, No Iterations 1000
Cloud: kinematicCloud
    Current number of parcels       = 550000
    Current mass in system          = 2.87979e-10
    Linear momentum                 = (1.33643e-16 -1.06987e-16 1.65083e-15)
   |Linear momentum|                = 1.65968e-15
    Linear kinetic energy           = 8.10281e-18
    model1:
        number of parcels added     = 550000
        mass introduced             = 2.87979e-10
    Parcel fate (number, mass)      : patch WALL_IN
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch WALL_OUT
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch LUMEN_WALL
      - escape                      = 0, 0
      - stick                       = 2265432, 1.18618e-09
    Parcel fate (number, mass)      : patch OUTLET
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch INLET
      - escape                      = 0, 0
      - stick                       = 0, 0
    Min cell volume fraction        = 0
    Max cell volume fraction        = 9.96681e-05
    Min dense number of parcels     = 28.6195

DILUPBiCGStab:  Solving for U.airx, Initial residual = 0.000773749, Final residual = 2.90797e-05, No Iterations 1
DILUPBiCGStab:  Solving for U.airy, Initial residual = 0.000742236, Final residual = 2.83527e-05, No Iterations 1
DILUPBiCGStab:  Solving for U.airz, Initial residual = 0.000655512, Final residual = 2.45934e-05, No Iterations 1
GAMGPCG:  Solving for p, Initial residual = 0.000363957, Final residual = 1.27501e-06, No Iterations 2
time step continuity errors : sum local = 3.17721e-08, global = 1.9626e-11, cumulative = -2.03835e-07
GAMGPCG:  Solving for p, Initial residual = 0.00015847, Final residual = 7.15167e-07, No Iterations 2
time step continuity errors : sum local = 1.78213e-08, global = -2.8688e-11, cumulative = -2.03864e-07
ExecutionTime = 155440 s  ClockTime = 156163 s

Courant Number mean: 0.189689 max: 10.7761
Time = 45.354

Evolving kinematicCloud

Solving 3-D cloud kinematicCloud
GAMG:  Solving for kinematicCloud:alpha, Initial residual = 9.73532e-05, Final residual = 4.9377e-05, No Iterations 1000
Cloud: kinematicCloud
    Current number of parcels       = 550000
    Current mass in system          = 2.87979e-10
    Linear momentum                 = (1.34123e-16 -1.06896e-16 1.65081e-15)
   |Linear momentum|                = 1.6597e-15
    Linear kinetic energy           = 8.103e-18
    model1:
        number of parcels added     = 550000
        mass introduced             = 2.87979e-10
    Parcel fate (number, mass)      : patch WALL_IN
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch WALL_OUT
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch LUMEN_WALL
      - escape                      = 0, 0
      - stick                       = 2265924, 1.18644e-09
    Parcel fate (number, mass)      : patch OUTLET
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch INLET
      - escape                      = 0, 0
      - stick                       = 0, 0
    Min cell volume fraction        = 0
    Max cell volume fraction        = 9.96681e-05
    Min dense number of parcels     = 28.6195

DILUPBiCGStab:  Solving for U.airx, Initial residual = 0.000774036, Final residual = 2.90918e-05, No Iterations 1
DILUPBiCGStab:  Solving for U.airy, Initial residual = 0.000742425, Final residual = 2.8364e-05, No Iterations 1
DILUPBiCGStab:  Solving for U.airz, Initial residual = 0.000655578, Final residual = 2.45973e-05, No Iterations 1
GAMGPCG:  Solving for p, Initial residual = 0.000364179, Final residual = 1.32287e-06, No Iterations 2
time step continuity errors : sum local = 3.29648e-08, global = 1.92535e-11, cumulative = -2.03844e-07
GAMGPCG:  Solving for p, Initial residual = 0.00015865, Final residual = 7.39101e-07, No Iterations 2
time step continuity errors : sum local = 1.84178e-08, global = -2.84279e-11, cumulative = -2.03873e-07
ExecutionTime = 155448 s  ClockTime = 156171 s

Courant Number mean: 0.189687 max: 10.7759
Time = 45.355

Evolving kinematicCloud

Solving 3-D cloud kinematicCloud
GAMG:  Solving for kinematicCloud:alpha, Initial residual = 0.000108002, Final residual = 4.95222e-05, No Iterations 1000
Cloud: kinematicCloud
    Current number of parcels       = 550000
    Current mass in system          = 2.87979e-10
    Linear momentum                 = (1.34462e-16 -1.07276e-16 1.65075e-15)
   |Linear momentum|                = 1.65969e-15
    Linear kinetic energy           = 8.10319e-18
    model1:
        number of parcels added     = 550000
        mass introduced             = 2.87979e-10
    Parcel fate (number, mass)      : patch WALL_IN
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch WALL_OUT
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch LUMEN_WALL
      - escape                      = 0, 0
      - stick                       = 2266416, 1.1867e-09
    Parcel fate (number, mass)      : patch OUTLET
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch INLET
      - escape                      = 0, 0
      - stick                       = 0, 0
    Min cell volume fraction        = 0
    Max cell volume fraction        = 9.96681e-05
    Min dense number of parcels     = 28.6195

DILUPBiCGStab:  Solving for U.airx, Initial residual = 0.000774323, Final residual = 2.91041e-05, No Iterations 1
DILUPBiCGStab:  Solving for U.airy, Initial residual = 0.000742607, Final residual = 2.83745e-05, No Iterations 1
DILUPBiCGStab:  Solving for U.airz, Initial residual = 0.000655639, Final residual = 2.46011e-05, No Iterations 1
GAMGPCG:  Solving for p, Initial residual = 0.000364374, Final residual = 1.36658e-06, No Iterations 2
time step continuity errors : sum local = 3.40541e-08, global = 1.88494e-11, cumulative = -2.03854e-07
GAMGPCG:  Solving for p, Initial residual = 0.000158807, Final residual = 7.60462e-07, No Iterations 2
time step continuity errors : sum local = 1.89501e-08, global = -2.82329e-11, cumulative = -2.03882e-07
ExecutionTime = 155457 s  ClockTime = 156180 s

Courant Number mean: 0.189686 max: 10.7757
Time = 45.356

Evolving kinematicCloud

Solving 3-D cloud kinematicCloud
GAMG:  Solving for kinematicCloud:alpha, Initial residual = 9.73883e-05, Final residual = 4.93987e-05, No Iterations 1000
Cloud: kinematicCloud
    Current number of parcels       = 550000
    Current mass in system          = 2.87979e-10
    Linear momentum                 = (1.34128e-16 -1.08115e-16 1.65053e-15)
   |Linear momentum|                = 1.65949e-15
    Linear kinetic energy           = 8.10337e-18
    model1:
        number of parcels added     = 550000
        mass introduced             = 2.87979e-10
    Parcel fate (number, mass)      : patch WALL_IN
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch WALL_OUT
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch LUMEN_WALL
      - escape                      = 0, 0
      - stick                       = 2266911, 1.18695e-09
    Parcel fate (number, mass)      : patch OUTLET
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch INLET
      - escape                      = 0, 0
      - stick                       = 0, 0
    Min cell volume fraction        = 0
    Max cell volume fraction        = 9.96681e-05
    Min dense number of parcels     = 28.6195

DILUPBiCGStab:  Solving for U.airx, Initial residual = 0.00077461, Final residual = 2.9117e-05, No Iterations 1
DILUPBiCGStab:  Solving for U.airy, Initial residual = 0.00074278, Final residual = 2.83845e-05, No Iterations 1
DILUPBiCGStab:  Solving for U.airz, Initial residual = 0.000655697, Final residual = 2.46053e-05, No Iterations 1
GAMGPCG:  Solving for p, Initial residual = 0.000364577, Final residual = 1.40622e-06, No Iterations 2
time step continuity errors : sum local = 3.50419e-08, global = 1.84088e-11, cumulative = -2.03864e-07
GAMGPCG:  Solving for p, Initial residual = 0.000158996, Final residual = 7.80148e-07, No Iterations 2
time step continuity errors : sum local = 1.94407e-08, global = -2.82342e-11, cumulative = -2.03892e-07
ExecutionTime = 155465 s  ClockTime = 156189 s

Courant Number mean: 0.189684 max: 10.7754
Time = 45.357

Evolving kinematicCloud

Solving 3-D cloud kinematicCloud
GAMG:  Solving for kinematicCloud:alpha, Initial residual = 0.000107947, Final residual = 4.95018e-05, No Iterations 1000
Cloud: kinematicCloud
    Current number of parcels       = 550000
    Current mass in system          = 2.87979e-10
    Linear momentum                 = (1.33038e-16 -1.08835e-16 1.65063e-15)
   |Linear momentum|                = 1.65955e-15
    Linear kinetic energy           = 8.10373e-18
    model1:
        number of parcels added     = 550000
        mass introduced             = 2.87979e-10
    Parcel fate (number, mass)      : patch WALL_IN
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch WALL_OUT
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch LUMEN_WALL
      - escape                      = 0, 0
      - stick                       = 2267405, 1.18721e-09
    Parcel fate (number, mass)      : patch OUTLET
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch INLET
      - escape                      = 0, 0
      - stick                       = 0, 0
    Min cell volume fraction        = 0
    Max cell volume fraction        = 9.96681e-05
    Min dense number of parcels     = 28.6195

DILUPBiCGStab:  Solving for U.airx, Initial residual = 0.000774901, Final residual = 2.91308e-05, No Iterations 1
DILUPBiCGStab:  Solving for U.airy, Initial residual = 0.000742951, Final residual = 2.8394e-05, No Iterations 1
DILUPBiCGStab:  Solving for U.airz, Initial residual = 0.00065576, Final residual = 2.461e-05, No Iterations 1
GAMGPCG:  Solving for p, Initial residual = 0.000364802, Final residual = 1.44512e-06, No Iterations 2
time step continuity errors : sum local = 3.60116e-08, global = 1.79768e-11, cumulative = -2.03874e-07
GAMGPCG:  Solving for p, Initial residual = 0.000159202, Final residual = 7.96791e-07, No Iterations 2
time step continuity errors : sum local = 1.98555e-08, global = -2.8587e-11, cumulative = -2.03903e-07
ExecutionTime = 155474 s  ClockTime = 156197 s

Courant Number mean: 0.189683 max: 10.7752
Time = 45.358

Evolving kinematicCloud

Solving 3-D cloud kinematicCloud
GAMG:  Solving for kinematicCloud:alpha, Initial residual = 9.74196e-05, Final residual = 4.93861e-05, No Iterations 1000
Cloud: kinematicCloud
    Current number of parcels       = 550000
    Current mass in system          = 2.87979e-10
    Linear momentum                 = (1.32042e-16 -1.09311e-16 1.65066e-15)
   |Linear momentum|                = 1.65954e-15
    Linear kinetic energy           = 8.10417e-18
    model1:
        number of parcels added     = 550000
        mass introduced             = 2.87979e-10
    Parcel fate (number, mass)      : patch WALL_IN
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch WALL_OUT
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch LUMEN_WALL
      - escape                      = 0, 0
      - stick                       = 2267899, 1.18747e-09
    Parcel fate (number, mass)      : patch OUTLET
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch INLET
      - escape                      = 0, 0
      - stick                       = 0, 0
    Min cell volume fraction        = 0
    Max cell volume fraction        = 9.96681e-05
    Min dense number of parcels     = 28.6195

DILUPBiCGStab:  Solving for U.airx, Initial residual = 0.000775202, Final residual = 2.91455e-05, No Iterations 1
DILUPBiCGStab:  Solving for U.airy, Initial residual = 0.000743115, Final residual = 2.84027e-05, No Iterations 1
DILUPBiCGStab:  Solving for U.airz, Initial residual = 0.000655825, Final residual = 2.46151e-05, No Iterations 1
GAMGPCG:  Solving for p, Initial residual = 0.000365067, Final residual = 1.46651e-06, No Iterations 2
time step continuity errors : sum local = 3.65447e-08, global = 1.77551e-11, cumulative = -2.03885e-07
GAMGPCG:  Solving for p, Initial residual = 0.000159396, Final residual = 8.04721e-07, No Iterations 2
time step continuity errors : sum local = 2.00532e-08, global = -2.93408e-11, cumulative = -2.03914e-07
ExecutionTime = 155483 s  ClockTime = 156207 s

Courant Number mean: 0.189681 max: 10.7749
Time = 45.359

Evolving kinematicCloud

Solving 3-D cloud kinematicCloud
GAMG:  Solving for kinematicCloud:alpha, Initial residual = 0.000107982, Final residual = 4.95282e-05, No Iterations 1000
Cloud: kinematicCloud
    Current number of parcels       = 550000
    Current mass in system          = 2.87979e-10
    Linear momentum                 = (1.32957e-16 -1.09242e-16 1.65081e-15)
   |Linear momentum|                = 1.65975e-15
    Linear kinetic energy           = 8.1046e-18
    model1:
        number of parcels added     = 550000
        mass introduced             = 2.87979e-10
    Parcel fate (number, mass)      : patch WALL_IN
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch WALL_OUT
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch LUMEN_WALL
      - escape                      = 0, 0
      - stick                       = 2268393, 1.18773e-09
    Parcel fate (number, mass)      : patch OUTLET
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate (number, mass)      : patch INLET
      - escape                      = 0, 0
      - stick                       = 0, 0
    Min cell volume fraction        = 0
    Max cell volume fraction        = 9.96681e-05
    Min dense number of parcels     = 28.6195

DILUPBiCGStab:  Solving for U.airx, Initial residual = 0.000775507, Final residual = 2.91605e-05, No Iterations 1
DILUPBiCGStab:  Solving for U.airy, Initial residual = 0.00074327, Final residual = 2.84107e-05, No Iterations 1
DILUPBiCGStab:  Solving for U.airz, Initial residual = 0.000655884, Final residual = 2.46198e-05, No Iterations 1
GAMGPCG:  Solving for p, Initial residual = 0.000365264, Final residual = 1.48518e-06, No Iterations 2
time step continuity errors : sum local = 3.701e-08, global = 1.77174e-11, cumulative = -2.03896e-07
GAMGPCG:  Solving for p, Initial residual = 0.000159529, Final residual = 8.09602e-07, No Iterations 2
time step continuity errors : sum local = 2.01749e-08, global = -3.02367e-11, cumulative = -2.03927e-07
ExecutionTime = 155492 s  ClockTime = 156216 s

Courant Number mean: 0.18968 max: 10.7747
Time = 45.36

log file (18,237 bytes)

rmn_990

2019-05-09 21:21

reporter   ~0010456

I also tried icoUncoupledKinematicParcelFoam and it provides a correct number of parcels on the stick boundary condition. In my case just MPPICFoam should be used and I shouldn't use an uncoupled solver.

will

2019-05-10 08:54

manager   ~0010457

Can you upload a case that reproduces the issue, please?

rmn_990

2019-05-10 15:11

reporter   ~0010459

Thanks. Attached you can find it.

rmn_990

2019-05-10 15:12

reporter   ~0010460

https://1drv.ms/u/s!AkqWyjWvlskVlhXALhLGEEo5G4en

will

2019-05-13 08:59

manager   ~0010462

That case took you 43 hours to run on 40 cores. That is too big to debug. Have you got anything smaller which demonstrates the problem?

rmn_990

2019-05-13 18:27

reporter   ~0010464

You are right. I have uploaded another case with log file and some time step outputs. https://1drv.ms/u/s!AkqWyjWvlskVlhdQ_T10HMAZCyG5
sorry if it is still not very fast. Because this error can be seen after some time.

rmn_990

2019-05-15 04:26

reporter   ~0010465

I did this simulation with different particle size and number but I faced this bug again.
icoUncoupledKinematicParcelFoam works without this bug and the number of particles on surfaces with stick bc is true.

will

2019-05-16 15:16

manager   ~0010468

Last edited: 2019-05-16 15:16

View 2 revisions

If you turn the packing model off in constant/kinematicCloudProperties, does that fix it? I.e., replace "packingModel implicit;" with "packingModel none;".

rmn_990

2019-05-16 17:29

reporter   ~0010476

No, it will not be fixed because I did this simulation with packingModel implicit in OP5 and everything worked well.

rmn_990

2019-05-18 18:33

reporter   ~0010479

Will,
I tried what you told about packingModel and it doesn't work on OP6.

rmn_990

2019-05-18 18:36

reporter  

log_PackingOFF.txt (17,524 bytes)
Courant Number mean: 0.115384 max: 1.0014
Interface Courant Number mean: 0 max: 0
deltaT = 0.00689655
Time = 237.993

Evolving kinematicCloud

Solving 3-D cloud kinematicCloud
Cloud: kinematicCloud
    Current number of parcels       = 388221
    Current mass in system          = 2.13436e-10
    Linear momentum                 = (5.81069e-16 -8.67692e-16 3.05555e-14)
   |Linear momentum|                = 3.05733e-14
    Linear kinetic energy           = 6.09623e-16
    Injector model1:
      - parcels added               = 550004
      - mass introduced             = 3.0238e-10
    Parcel fate: system (number, mass)
      - escape                      = 161783, 8.89448e-11
    Parcel fate: patch WALL_IN (number, mass)
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate: patch WALL_OUT (number, mass)
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate: patch LUMEN_WALL (number, mass)
      - escape                      = 0, 0
      - stick                       = 161084034, 8.85609e-08
    Parcel fate: patch OUTLET (number, mass)
      - escape                      = 161783, 8.8945e-11
      - stick                       = 0, 0
    Parcel fate: patch INLET (number, mass)
      - escape                      = 0, 0
      - stick                       = 0, 0
    Min cell volume fraction        = 0
    Max cell volume fraction        = 2.16902e-05
    Min dense number of parcels     = 5.10842

Continous phase-1 volume fraction = 1  Min(alphac) = 0.999978  Max(alphac) = 1
PIMPLE: iteration 1
smoothSolver:  Solving for alpha.water, Initial residual = 0.000673368, Final residual = 0.000305183, No Iterations 100
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
MULES: Correcting alpha.water
MULES: Correcting alpha.water
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
smoothSolver:  Solving for alpha.water, Initial residual = 0.000641985, Final residual = 0.000304481, No Iterations 100
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
MULES: Correcting alpha.water
MULES: Correcting alpha.water
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
DICPCG:  Solving for p_rgh, Initial residual = 3.06681e-06, Final residual = 1.41077e-07, No Iterations 3
time step continuity errors : sum local = 8.07579e-11, global = -8.512e-12, cumulative = 1
DICPCG:  Solving for p_rgh, Initial residual = 4.5909e-06, Final residual = 2.24164e-07, No Iterations 5
time step continuity errors : sum local = 1.2832e-10, global = -1.3728e-11, cumulative = 1
DICPCG:  Solving for p_rgh, Initial residual = 1.94458e-06, Final residual = 9.61243e-09, No Iterations 448
time step continuity errors : sum local = 5.50252e-12, global = -1.35174e-14, cumulative = 1
ExecutionTime = 46640.1 s  ClockTime = 46849 s

Courant Number mean: 0.115384 max: 1.0014
Interface Courant Number mean: 0 max: 0
deltaT = 0.00689655
Time = 238

Evolving kinematicCloud

Solving 3-D cloud kinematicCloud
Cloud: kinematicCloud
    Current number of parcels       = 388198
    Current mass in system          = 2.13423e-10
    Linear momentum                 = (5.79615e-16 -8.63523e-16 3.05466e-14)
   |Linear momentum|                = 3.05643e-14
    Linear kinetic energy           = 6.09596e-16
    Injector model1:
      - parcels added               = 550004
      - mass introduced             = 3.0238e-10
    Parcel fate: system (number, mass)
      - escape                      = 161806, 8.89575e-11
    Parcel fate: patch WALL_IN (number, mass)
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate: patch WALL_OUT (number, mass)
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate: patch LUMEN_WALL (number, mass)
      - escape                      = 0, 0
      - stick                       = 161130283, 8.85863e-08
    Parcel fate: patch OUTLET (number, mass)
      - escape                      = 161806, 8.89576e-11
      - stick                       = 0, 0
    Parcel fate: patch INLET (number, mass)
      - escape                      = 0, 0
      - stick                       = 0, 0
    Min cell volume fraction        = 0
    Max cell volume fraction        = 1.80752e-05
    Min dense number of parcels     = 4.27346

Continous phase-1 volume fraction = 1  Min(alphac) = 0.999982  Max(alphac) = 1
PIMPLE: iteration 1
smoothSolver:  Solving for alpha.water, Initial residual = 0.000694296, Final residual = 0.000306, No Iterations 100
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
MULES: Correcting alpha.water
MULES: Correcting alpha.water
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
smoothSolver:  Solving for alpha.water, Initial residual = 0.000660099, Final residual = 0.000306549, No Iterations 100
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
MULES: Correcting alpha.water
MULES: Correcting alpha.water
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
DICPCG:  Solving for p_rgh, Initial residual = 3.02897e-06, Final residual = 1.44372e-07, No Iterations 3
time step continuity errors : sum local = 8.26447e-11, global = 9.14134e-12, cumulative = 1
DICPCG:  Solving for p_rgh, Initial residual = 4.6074e-06, Final residual = 2.16544e-07, No Iterations 6
time step continuity errors : sum local = 1.23959e-10, global = 1.47832e-11, cumulative = 1
DICPCG:  Solving for p_rgh, Initial residual = 1.97092e-06, Final residual = 9.45472e-09, No Iterations 445
time step continuity errors : sum local = 5.41227e-12, global = 2.9251e-14, cumulative = 1
ExecutionTime = 46641.6 s  ClockTime = 46851 s

Courant Number mean: 0.115384 max: 1.0014
Interface Courant Number mean: 0 max: 0
deltaT = 0.00689655
Time = 238.007

Evolving kinematicCloud

Solving 3-D cloud kinematicCloud
Cloud: kinematicCloud
    Current number of parcels       = 388188
    Current mass in system          = 2.13417e-10
    Linear momentum                 = (5.87336e-16 -8.58988e-16 3.05461e-14)
   |Linear momentum|                = 3.05638e-14
    Linear kinetic energy           = 6.09576e-16
    Injector model1:
      - parcels added               = 550004
      - mass introduced             = 3.0238e-10
    Parcel fate: system (number, mass)
      - escape                      = 161816, 8.8963e-11
    Parcel fate: patch WALL_IN (number, mass)
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate: patch WALL_OUT (number, mass)
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate: patch LUMEN_WALL (number, mass)
      - escape                      = 0, 0
      - stick                       = 161176536, 8.86117e-08
    Parcel fate: patch OUTLET (number, mass)
      - escape                      = 161816, 8.89631e-11
      - stick                       = 0, 0
    Parcel fate: patch INLET (number, mass)
      - escape                      = 0, 0
      - stick                       = 0, 0
    Min cell volume fraction        = 0
    Max cell volume fraction        = 2.00488e-05
    Min dense number of parcels     = 4.74008

Continous phase-1 volume fraction = 1  Min(alphac) = 0.99998  Max(alphac) = 1
PIMPLE: iteration 1
smoothSolver:  Solving for alpha.water, Initial residual = 0.000693061, Final residual = 0.000306107, No Iterations 100
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
MULES: Correcting alpha.water
MULES: Correcting alpha.water
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
smoothSolver:  Solving for alpha.water, Initial residual = 0.00065908, Final residual = 0.000306787, No Iterations 100
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
MULES: Correcting alpha.water
MULES: Correcting alpha.water
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
DICPCG:  Solving for p_rgh, Initial residual = 3.03002e-06, Final residual = 1.50115e-07, No Iterations 3
time step continuity errors : sum local = 8.59314e-11, global = -9.76491e-12, cumulative = 1
DICPCG:  Solving for p_rgh, Initial residual = 4.57637e-06, Final residual = 2.19112e-07, No Iterations 6
time step continuity errors : sum local = 1.25428e-10, global = -1.56968e-11, cumulative = 1
DICPCG:  Solving for p_rgh, Initial residual = 1.9644e-06, Final residual = 9.96242e-09, No Iterations 444
time step continuity errors : sum local = 5.70286e-12, global = -2.69179e-14, cumulative = 1
ExecutionTime = 46643.4 s  ClockTime = 46852 s

Courant Number mean: 0.115384 max: 1.0014
Interface Courant Number mean: 0 max: 0
deltaT = 0.00689655
Time = 238.014

Evolving kinematicCloud

Solving 3-D cloud kinematicCloud
Cloud: kinematicCloud
    Current number of parcels       = 388173
    Current mass in system          = 2.13409e-10
    Linear momentum                 = (5.97394e-16 -8.50179e-16 3.05426e-14)
   |Linear momentum|                = 3.05602e-14
    Linear kinetic energy           = 6.09535e-16
    Injector model1:
      - parcels added               = 550004
      - mass introduced             = 3.0238e-10
    Parcel fate: system (number, mass)
      - escape                      = 161831, 8.89712e-11
    Parcel fate: patch WALL_IN (number, mass)
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate: patch WALL_OUT (number, mass)
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate: patch LUMEN_WALL (number, mass)
      - escape                      = 0, 0
      - stick                       = 161222806, 8.86372e-08
    Parcel fate: patch OUTLET (number, mass)
      - escape                      = 161831, 8.89713e-11
      - stick                       = 0, 0
    Parcel fate: patch INLET (number, mass)
      - escape                      = 0, 0
      - stick                       = 0, 0
    Min cell volume fraction        = 0
    Max cell volume fraction        = 1.78598e-05
    Min dense number of parcels     = 4.22254

Continous phase-1 volume fraction = 1  Min(alphac) = 0.999982  Max(alphac) = 1
PIMPLE: iteration 1
smoothSolver:  Solving for alpha.water, Initial residual = 0.00069305, Final residual = 0.000305972, No Iterations 100
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
MULES: Correcting alpha.water
MULES: Correcting alpha.water
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
smoothSolver:  Solving for alpha.water, Initial residual = 0.000659156, Final residual = 0.000306633, No Iterations 100
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
MULES: Correcting alpha.water
MULES: Correcting alpha.water
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
DICPCG:  Solving for p_rgh, Initial residual = 3.00649e-06, Final residual = 1.29918e-07, No Iterations 4
time step continuity errors : sum local = 7.43704e-11, global = 1.04235e-11, cumulative = 1
DICPCG:  Solving for p_rgh, Initial residual = 4.61046e-06, Final residual = 2.18902e-07, No Iterations 6
time step continuity errors : sum local = 1.25309e-10, global = 1.66328e-11, cumulative = 1
DICPCG:  Solving for p_rgh, Initial residual = 1.97581e-06, Final residual = 9.74588e-09, No Iterations 446
time step continuity errors : sum local = 5.57895e-12, global = 1.40598e-14, cumulative = 1
ExecutionTime = 46644.6 s  ClockTime = 46854 s

Courant Number mean: 0.115384 max: 1.0014
Interface Courant Number mean: 0 max: 0
deltaT = 0.00689655
Time = 238.021

Evolving kinematicCloud

Solving 3-D cloud kinematicCloud
Cloud: kinematicCloud
    Current number of parcels       = 388161
    Current mass in system          = 2.13403e-10
    Linear momentum                 = (5.95773e-16 -8.48949e-16 3.05405e-14)
   |Linear momentum|                = 3.05581e-14
    Linear kinetic energy           = 6.09507e-16
    Injector model1:
      - parcels added               = 550004
      - mass introduced             = 3.0238e-10
    Parcel fate: system (number, mass)
      - escape                      = 161843, 8.89778e-11
    Parcel fate: patch WALL_IN (number, mass)
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate: patch WALL_OUT (number, mass)
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate: patch LUMEN_WALL (number, mass)
      - escape                      = 0, 0
      - stick                       = 161269081, 8.86626e-08
    Parcel fate: patch OUTLET (number, mass)
      - escape                      = 161843, 8.89779e-11
      - stick                       = 0, 0
    Parcel fate: patch INLET (number, mass)
      - escape                      = 0, 0
      - stick                       = 0, 0
    Min cell volume fraction        = 0
    Max cell volume fraction        = 1.65841e-05
    Min dense number of parcels     = 3.92093

Continous phase-1 volume fraction = 1  Min(alphac) = 0.999983  Max(alphac) = 1
PIMPLE: iteration 1
smoothSolver:  Solving for alpha.water, Initial residual = 0.000692808, Final residual = 0.000305801, No Iterations 100
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
MULES: Correcting alpha.water
MULES: Correcting alpha.water
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
smoothSolver:  Solving for alpha.water, Initial residual = 0.000658822, Final residual = 0.000306701, No Iterations 100
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
MULES: Correcting alpha.water
MULES: Correcting alpha.water
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
DICPCG:  Solving for p_rgh, Initial residual = 3.03043e-06, Final residual = 1.30005e-07, No Iterations 4
time step continuity errors : sum local = 7.44199e-11, global = -1.10879e-11, cumulative = 1
DICPCG:  Solving for p_rgh, Initial residual = 4.61072e-06, Final residual = 2.23184e-07, No Iterations 6
time step continuity errors : sum local = 1.27758e-10, global = -1.77773e-11, cumulative = 1
DICPCG:  Solving for p_rgh, Initial residual = 1.96983e-06, Final residual = 9.30023e-09, No Iterations 448
time step continuity errors : sum local = 5.3238e-12, global = 4.33324e-15, cumulative = 1
ExecutionTime = 46645.9 s  ClockTime = 46855 s

Courant Number mean: 0.115384 max: 1.0014
Interface Courant Number mean: 0 max: 0
deltaT = 0.00689655
Time = 238.028

Evolving kinematicCloud

Solving 3-D cloud kinematicCloud
Cloud: kinematicCloud
    Current number of parcels       = 388144
    Current mass in system          = 2.13393e-10
    Linear momentum                 = (5.97055e-16 -8.45076e-16 3.0535e-14)
   |Linear momentum|                = 3.05526e-14
    Linear kinetic energy           = 6.09494e-16
    Injector model1:
      - parcels added               = 550004
      - mass introduced             = 3.0238e-10
    Parcel fate: system (number, mass)
      - escape                      = 161860, 8.89872e-11
    Parcel fate: patch WALL_IN (number, mass)
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate: patch WALL_OUT (number, mass)
      - escape                      = 0, 0
      - stick                       = 0, 0
    Parcel fate: patch LUMEN_WALL (number, mass)
      - escape                      = 0, 0
      - stick                       = 161315354, 8.8688e-08
    Parcel fate: patch OUTLET (number, mass)
      - escape                      = 161860, 8.89873e-11
      - stick                       = 0, 0
    Parcel fate: patch INLET (number, mass)
      - escape                      = 0, 0
      - stick                       = 0, 0
    Min cell volume fraction        = 0
    Max cell volume fraction        = 1.75191e-05
    Min dense number of parcels     = 4.12606

Continous phase-1 volume fraction = 1  Min(alphac) = 0.999982  Max(alphac) = 1
PIMPLE: iteration 1
smoothSolver:  Solving for alpha.water, Initial residual = 0.000693007, Final residual = 0.000305759, No Iterations 100
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
MULES: Correcting alpha.water
MULES: Correcting alpha.water
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
smoothSolver:  Solving for alpha.water, Initial residual = 0.000659283, Final residual = 0.000306587, No Iterations 100
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
MULES: Correcting alpha.water
MULES: Correcting alpha.water
Phase-1 volume fraction = 1  Min(alpha.water) = 1  Max(alpha.water) = 1
DICPCG:  Solving for p_rgh, Initial residual = 3.03613e-06, Final residual = 1.31899e-07, No Iterations 4
time step continuity errors : sum local = 7.55043e-11, global = 1.18886e-11, cumulative = 1
DICPCG:  Solving for p_rgh, Initial residual = 4.62919e-06, Final residual = 2.30573e-07, No Iterations 7
time step continuity errors : sum local = 1.3199e-10, global = 1.898e-11, cumulative = 1
DICPCG:  Solving for p_rgh, Initial residual = 1.97176e-06, Final residual = 9.3065e-09, No Iterations 449
time step continuity errors : sum local = 5.32743e-12, global = -7.14281e-15, cumulative = 1
ExecutionTime = 46647.1 s  ClockTime = 46856 s

Courant Number mean: 0.115384 max: 1.0014
Interface Courant Number mean: 0 max: 0
deltaT = 0.00689655
Time = 238.034

log_PackingOFF.txt (17,524 bytes)

will

2019-05-21 09:42

manager   ~0010480

I cannot see why the reporting should be incorrect, and I cannot reproduce the problem. I have run your case from a time of 30 on 16 cores and over the first few second of physical time the number of stuck parcels reported matches the saved data.

I don't doubt that there is a problem, I just can't reproduce or efficiently investigate it with the information you have given me.

If you want this investigated further you will need to supply a *smaller* case which demonstrates the problem, so that it can be run and tested and modified in a much shorter time frame. If you can produce such as case, then please open a new report.

In the meantime you will have to rely on the actual written out "active" field to determine how many parcels have stuck to the wall.

Issue History

Date Modified Username Field Change
2019-05-09 21:04 rmn_990 New Issue
2019-05-09 21:04 rmn_990 File Added: checkMesh
2019-05-09 21:04 rmn_990 File Added: kinematicCloudProperties
2019-05-09 21:04 rmn_990 File Added: log file
2019-05-09 21:21 rmn_990 Note Added: 0010456
2019-05-10 08:54 will Note Added: 0010457
2019-05-10 15:11 rmn_990 Note Added: 0010459
2019-05-10 15:12 rmn_990 Note Added: 0010460
2019-05-13 08:59 will Note Added: 0010462
2019-05-13 18:27 rmn_990 Note Added: 0010464
2019-05-15 04:26 rmn_990 Note Added: 0010465
2019-05-16 15:16 will Note Added: 0010468
2019-05-16 15:16 will Note Edited: 0010468 View Revisions
2019-05-16 17:29 rmn_990 Note Added: 0010476
2019-05-18 18:33 rmn_990 Note Added: 0010479
2019-05-18 18:36 rmn_990 File Added: log_PackingOFF.txt
2019-05-21 09:41 will Priority high => low
2019-05-21 09:41 will Severity major => minor
2019-05-21 09:41 will Description Updated View Revisions
2019-05-21 09:42 will Assigned To => will
2019-05-21 09:42 will Status new => closed
2019-05-21 09:42 will Resolution open => unable to reproduce
2019-05-21 09:42 will Note Added: 0010480